Subject: bug#70093: Remove unnecessary `image-tests--map-equal'

From: Eli Zaretskii <[email-masked]>
Date: Sun, 31 Mar 2024 08:10:07 +0300

> Cc: Eli Zaretskii <[email-masked]>, David Ponce <[email-masked]>
> From: Joseph Turner <[email-masked]>
> Date: Sat, 30 Mar 2024 12:44:14 -0700
> 
> With the resolution of bug#69992, it may be possible to remove the
> `image-tests--map-equal' equality predicate from lisp/image-tests.el.

Why is it a good idea to remove tests?  If the test tests some of our
code which should work as the test assumes, we should not remove it.

> Eli and David, would you please apply the attached patch and then run
> the tests to see if we still need to allow for tolerances in
> `image--compute-map-and-original-map'?

ENOPATCH